#include "zonefile_cod12_360.h"

#include <QDataStream>
#include <QFile>
#include <QDebug>

ZoneFile_COD12_360::ZoneFile_COD12_360()
    : ZoneFile()
{
    pSetType(0, ASSET_TYPE_PHYSPRESET);
    pSetType(1, ASSET_TYPE_PHYS_CONSTRAINTS);
    pSetType(2, ASSET_TYPE_DESTRUCTIBLE_DEF);
    pSetType(3, ASSET_TYPE_XANIMPARTS);
    pSetType(4, ASSET_TYPE_XMODEL);
    pSetType(5, ASSET_TYPE_XMODEL_MESH);
    pSetType(6, ASSET_TYPE_MATERIAL);
    pSetType(7, ASSET_TYPE_COMPUTE_SHADER_SET);
    pSetType(8, ASSET_TYPE_TECHNIQUE_SET);
    pSetType(9, ASSET_TYPE_IMAGE);
    pSetType(10, ASSET_TYPE_SOUND);
    pSetType(17, ASSET_TYPE_LIGHT_DEF);
    pSetType(21, ASSET_TYPE_FONT_ICON);
    pSetType(23, ASSET_TYPE_WEAPON);
    pSetType(27, ASSET_TYPE_CG_MEDIA_TABLE);
    pSetType(28, ASSET_TYPE_PLAYER_SOUNDS_TABLE);
    pSetType(29, ASSET_TYPE_PLAYER_FX_TABLE);
    pSetType(30, ASSET_TYPE_SHARED_WEAPON_SOUNDS);
    pSetType(31, ASSET_TYPE_ATTACHMENT);
    pSetType(32, ASSET_TYPE_ATTACHMENT_UNIQUE);
    pSetType(33, ASSET_TYPE_WEAPON_CAMO);
    pSetType(34, ASSET_TYPE_CUSTOMIZATION_TABLE);
    pSetType(35, ASSET_TYPE_CUSTOMIZATION_TABLE_FEIMAGES);
    pSetType(36, ASSET_TYPE_CUSTOMIZATION_TABLE_COLOR);
    pSetType(38, ASSET_TYPE_FX);
    pSetType(47, ASSET_TYPE_RAWFILE);
    pSetType(48, ASSET_TYPE_STRINGTABLE);
    pSetType(49, ASSET_TYPE_STRUCTURED_TABLE);
    pSetType(50, ASSET_TYPE_LEADERBOARD_DEF);
    pSetType(51, ASSET_TYPE_DDL);
    pSetType(54, ASSET_TYPE_SCRIPT_PARSE_TREE);
    pSetType(55, ASSET_TYPE_KEY_VALUE_PAIRS);
    pSetType(56, ASSET_TYPE_VEHICLE);
    pSetType(58, ASSET_TYPE_VEHICLE_TRACER);
    pSetType(60, ASSET_TYPE_SURFACE_FX_TABLE);
    pSetType(61, ASSET_TYPE_SURFACE_SOUND_DEF);
    pSetType(62, ASSET_TYPE_FOOTSTEP_TABLE);
    pSetType(63, ASSET_TYPE_ENTITY_FX_IMPACTS);
    pSetType(64, ASSET_TYPE_ENTITY_SOUND_IMPACTS);
    pSetType(66, ASSET_TYPE_VEHICLE_FX_DEF);
    pSetType(67, ASSET_TYPE_VEHICLE_SOUND_DEF);
    pSetType(69, ASSET_TYPE_SCRIPT_BUNDLE);
    pSetType(70, ASSET_TYPE_SCRIPT_BUNDLE_LIST);
    pSetType(71, ASSET_TYPE_RUMBLE);
    pSetType(74, ASSET_TYPE_AIM_TABLE);
    pSetType(75, ASSET_TYPE_ANIM_SELECTOR_TABLE);
    pSetType(76, ASSET_TYPE_ANIM_MAPPING_TABLE);
    pSetType(77, ASSET_TYPE_ANIM_STATE_MACHINE);
    pSetType(78, ASSET_TYPE_BEHAVIOR_TREE);
    pSetType(79, ASSET_TYPE_BEHAVIOR_STATE_MACHINE);
    pSetType(81, ASSET_TYPE_S_ANIM);
    pSetType(82, ASSET_TYPE_LIGHT_DEF);
    pSetType(83, ASSET_TYPE_BIT_FIELD);
    pSetType(84, ASSET_TYPE_SURFACE_SOUND_DEF);
    pSetType(85, ASSET_TYPE_SURFACE_FX_TABLE);
    pSetType(86, ASSET_TYPE_RUMBLE);
    pSetType(89, ASSET_TYPE_AIM_TABLE);
    pSetType(90, ASSET_TYPE_MAP_TABLE);
    pSetType(91, ASSET_TYPE_MAP_TABLE_LOADING_IMAGES);
    pSetType(92, ASSET_TYPE_MEDAL);
    pSetType(93, ASSET_TYPE_MEDAL_TABLE);
    pSetType(94, ASSET_TYPE_OBJECTIVE);
    pSetType(95, ASSET_TYPE_OBJECTIVE_LIST);
    pSetType(100, ASSET_TYPE_LASER);
    pSetType(101, ASSET_TYPE_BEAM);
    pSetType(102, ASSET_TYPE_STREAMER_HINT);
}

ZoneFile_COD12_360::~ZoneFile_COD12_360()
{

}

bool ZoneFile_COD12_360::Load(const QByteArray aFileData) {
    return true;
}
